@import "solidify-frontend/lib/application/components/routables/abstract-list/abstract-list.routable";
@import "abstracts/abstracts";

:host {
  .toolbar-wrapper {
    display: flex;
    grid-gap: 0 20px;
    position: sticky;
    top: 0;
    z-index: $z-index-sticky-toolbar;
    align-items: center;
    background-color: $white;
    padding: 5px;
    box-shadow: 0 0 0 $white, 0 -2px 0 $white; // avoid glitch when play with zooming on browser

    .org-unit-selector {
      width: 340px;
      @include remove-padding-mat-form-field;
    }

    @include respond-to-smaller-than-breakpoint('md') {
      flex-wrap: wrap;
      width: 100%;
    }

    @include respond-to-smaller-than-breakpoint('sm') {
      .org-unit-selector {
        width: 100%;
      }
    }
  }

  .tab-header ::ng-deep {
    position: sticky;
    top: 68px;
    background-color: $white;
    z-index: $z-index-sticky-tab;

    &.is-active {
      color: $primary-color;
      cursor: initial;
      border-bottom: 2px solid $primary-color;
    }

    .mat-badge.warn {
      .mat-badge-content {
        background-color: $red;
      }
    }

    @include respond-to-smaller-than-breakpoint('md') {
      .mat-ink-bar {
        display: none !important;
      }
    }

    .mat-tab-labels {
      flex-wrap: wrap;
      justify-content: center;

      .mat-tab-label {
        color: $black;
        opacity: 1 !important;
        min-width: 118px;
        padding: 0;

        @include respond-to-smaller-than-breakpoint('md') {
          &.mat-tab-label-active {
            background-color: $medium-light-grey;
          }
        }
      }
    }
  }
}

@include isInDarkMode {
  .toolbar-wrapper {
    background-color: $dark-mode-background;
    box-shadow: 0 0 0 $dark-mode-background, 0 -2px 0 $dark-mode-background; // avoid glitch when play with zooming on browser

  }

  .tab-header {
    background-color: $dark-mode-background;

    ::ng-deep {
      .mat-tab-labels {
        .mat-tab-label {
          color: $dark-mode-text-color;
        }
      }
    }
  }
}
